%define prefix /usr
%define name aaphoto
%define version 0.42
%define release %mkrel 2
%define url http://log69.com/aaphoto_en.html

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv3
Group:		Graphics
URL:		%{url}
Source:		%{name}_sources_v%{version}.tar.xz
Summary:	Automatic photo adjusting software (CLI)
Summary(de):	Automatische Anpassung Foto-Software (CLI)
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	%{_lib}jpeg-devel %{_lib}jasper-devel %{_lib}bzip2-devel %{_lib}png-devel libgomp-devel
Obsoletes:	%name < %version

%description
aaPhoto (CLI) (Auto Adjust Photo) corrects the colors of the image
and generates a new image file on the disk. Two main functions:
automatic color correction and resizing!

The program tries to give a solution for the automatic color
correction of photos. This means setting the contrast, color
balance, saturation and gamma levels of the image by analization.

This can be a solution for those kind of users who are not able
to manage and correct images with complicated graphical softwares,
or just simply don't intend to spend a lot of time with manually
correcting the images one-by-one.

The program handles the following image formats: mif, pnm /
pgm / ppm, bmp, ras, jp2, jpc, jpg, png

Servicemenu for KDE4 is integrated, but the command
line offers more options.


#german
%description -l de
aaPhoto (CLI) (Auto Adjust Foto) korrigiert die Farben des
Bildes und erzeugt eine neue Image-Datei auf der Festplatte.
Zwei wesentliche Funktionen: automatische Farbkorrektur und
Größenänderung!

Das Programm versucht, eine Lösung für die automatische
Farbkorrektur von Fotos zu geben. Dies bedeutet die Einstellung
Kontrast, Farbbalance, Sättigung und Gamma-Werte des Bildes
werden durch analization ausgegeben.

Nutzer die sich nicht mit graphischen Software wie GIMP
auskennen, oder einfach nicht die Zeit aufbringen können,
Bilder manuell zu korrigieren.

Das Programm verarbeitet die folgenden Bildformate:
mif, PNM / pgm / ppm, bmp, ras, JP2, JPC, jpg, png

Servicemenu für KDE4 ist integriert, jedoch bietet
die Kommandozeile mehr Optionen.

%prep

%setup -q -n %{name}-%{version}

%build

CFLAGS="-fno-openmp -Wno-unknown-pragmas -U__OPENMP__" ./configure \
  --prefix=%{_prefix}

%make 

%install
rm -rf $RPM_BUILD_ROOT

#seamless isn't correctly working ::)
#%makeinstall_std 
#alternative install
mkdir -p %{buildroot}%{_bindir}
install -m 755 %{name} $RPM_BUILD_ROOT%{_bindir}


#kde4 Servicemenu
%if KDE4
mkdir -p %{buildroot}%{_datadir}/kde4/services/ServiceMenus
%__cat > %{buildroot}%{_datadir}/kde4/services/ServiceMenus/%{name}.desktop << EOF
[Desktop Entry]
Type=Service
Name=%{name}
Encoding=UTF-8
ServiceTypes=KonqPopupMenu/Plugin,image/* 
Actions=Correction;FlipX;FlipY;
MimeType=mif;PNM;pgm;ppm;bmp;ras;JP2;JPC;jpg;jpeg;png
Icon=image-x-applix-graphics
X-KDE-Submenu=%{name}

[Desktop Action Correction]
Name=Automatic photo adjusting
Name[de]=Automatische Foto Korrektur
Exec=%{name} -a %f
Icon=image-x-applix-graphics

[Desktop Action FlipX]
Name=Mirror image horizontally
Name[de]=Bild spiegeln horizontal
Exec=%{name} --flipx %f
Icon=image-x-applix-graphics

[Desktop Action FlipY]
Name=Mirror image vertically
Name[de]=Bild spiegeln vertikal
Exec=%{name} --flipy %f
Icon=image-x-applix-graphics
EOF
%endif

mkdir -p %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Name=AutoAdjust Photo
Name[de]=AutoAdjust Photo
Comment=Automatic photo adjusting
Comment[de]=Automatische Foto Korrektur
Encoding=UTF-8
MimeType=image/jpeg;image/mif;image/PNM;image/pgm;image/ppm;image/bmp;image/ras;image/JP2;image/JPC;image/jpg;image/png
Icon=image_processing_section.png
Exec=%{name} -a %f
NoDisplay=true
Categories=Graphics;Utility;Core;GTK;Viewer;RasterGraphics;2DGraphics;Photography;X-MandrivaLinux-Multimedia-Graphics;
X-Desktop-File-Install-Version=0.38
EOF

%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%if KDE4
%{_datadir}/kde4/services/ServiceMenus/%{name}.desktop
%endif
%doc ChangeLog COPYING COPYRIGHT LICENSE NEWS README
%{_datadir}/applications/*

%clean
rm -rf %{buildroot}
#rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Tue Jul 21 2015 pp <pp> 0.42-2pclos2015
- rebuild against uptodate Jasper

* Mon Jan 06 2014 daniel <meisssw01 at gmail.com> 0.42-1free2014
- upstream tarball

* Sat Oct 22 2011 leiche <meisssw01 at gmail.com> 0.41-2leiche2011
- rebuild it again for 64 bit

* Tue Sep 06 2011 leiche <meisssw01 at gmail.com> 0.41-1leiche2011
- 0.41

* Fri Jan 07 2011 leiche <meisssw01 at aol.com> 0.40-1pclos2011
- 0.40

* Thu Oct 14 2010 Texstar <texstar at gmail.com> 0.38-2pclos2010
- fix rpm/synaptic group Graphics

* Sun Jul 18 2010 leiche <meisssw01 at aol.com> 0.38-1pclos2010
- update to version 0.38
- add lxde support

* Wed May 19 2010 leiche <meisssw01 at aol.com> 0.37-1pclos2010
- import to pclos
- add Servicemenu for kde4
- add german synaptic description
